/*
 * ComputeThread.h
 *
 *  Created on: Feb 7, 2010
 *      Author: AMdR
 */

#ifndef COMPUTETHREAD_H_
#define COMPUTETHREAD_H_

#include <QMutex>
#include <QSize>
#include <QThread>
#include <QWaitCondition>
#include "ebtdefines.h"
#include "ebtdataset.h"
#include "ebtmodel.h"

class ComputeThread : public QThread
 {
     Q_OBJECT

 public:
     ComputeThread(QObject *parent = 0);
     ~ComputeThread();

     void newRun(EBTModel *model, EBTDataMap *outputData);
     void pauseRun();
     void resumeRun();
     void quitRun();

 public slots:
     virtual void setReadyForSignal(bool ready) { readyForSignal = ready; return; };

 signals:
     void processErrors(QString displayString, int errNo);
     void processFPEerrors( QString routineName, int errNo );
     void runEnded();
     void updateStateGraphs();
     void updateOutputImmediate();
     void updateOutputDelayed();

 protected:
     void run();

 private:
     QMutex mutex;
     QWaitCondition condition;
     bool restart;
     bool abort;
     bool pause;
     bool quit;
     bool readyForSignal;

     EBTModel 	*model;
     EBTDataMap *outputData;
 };

#endif /* COMPUTETHREAD_H_ */
