/***
   NAME
     compileform - header file
   DESCRIPTION
     
   Last modification: AMdR - Jan 30, 2007
***/
#ifndef COMPILEFORM
#define COMPILEFORM
#include <QDialog>

#include "ui_compileform.h"   // defines Ui::CompileForm

class CompileForm : public QDialog, public Ui::CompileForm
{
    Q_OBJECT

public:
    CompileForm(QWidget* parent = 0, bool modal = false, Qt::WindowFlags fl = Qt::WindowFlags());
    ~CompileForm();

    virtual void init();
    virtual void checkFile( QString fName );
    virtual void compileModelO();
    virtual void compileSO();
    virtual QString defCCFlags();
    virtual QString defLDFlags();

public slots:
    virtual void changeConfiguration();
    virtual void saveSettings();
    virtual void cancelConfigure();
    virtual void changeEBTDir();
    virtual void changeTmpPath();
    virtual void enableConfigure( bool enabled );
    virtual void enableCompile( bool enabled );
    virtual void compile();
    virtual void cleanModel();
    virtual void setModel( QString programName );
    virtual void deleteFile( QString fName );
    virtual void compileModelOExited( int exitCode );
    virtual void compileMethTest();
    virtual void compileMethTestExited();
    virtual void compileObject( int objIt );
    virtual void compileObjectExited( int exitCode );
    virtual void compileSOExited( int exitCode );
    virtual void readFromStderr();
    virtual void readFromStdout();
    virtual void closeForm();
    virtual void quitCompilation();
    virtual void loadSettings();
    virtual void defaultSettings();
    virtual void showSettings();
    virtual void setDefIDcard( QString programName );
    virtual void initModel();
    virtual void initCommon( QString programName );
    virtual void initDefIDcard();
    virtual void setDefOutput( QString programName );
    virtual void initDefOutput();
    virtual void compilerChanged( const QString & str );

signals:
    void unloadLib();

protected:
    QString oldEBTDir;
    QString oldCompiler;
    QStringList oldCCFlags;
    QStringList oldLDFlags;
    QString oldTmpPath;

protected slots:
    virtual void languageChange();

private:
    int programType;
    QString EBTDir;
    QString outOutput;
    int objectIterator;
    QString intMethDir;
    bool compilationSuccessful;
    QString programSO;
    QString programLib;
    QString programDir;
    bool allFound;
    QList<QProcess *> *procList;
    QString integratorPath;
    QString compiler;
    QStringList CCFlags;
    QStringList LDFlags;
    QString tmpPath;
    QStringList hModules;
    QStringList cModules;
    QStringList oModules;
    QString program;
    QStringList objects;
    QString programC;
    QString programH;
    QString programO;
    QString errOutput;
    QString oldDir;
    enum progType{model = 0, defidcard, defoutput};
    QString defoutputH;
    QString defidcardH;

};

#endif /* COMPILEFORM */
