#ifndef EBTDATA_H
#define EBTDATA_H

#include <qmap.h>
#include <QVector>
#include "ebtdefines.h"

class EBTData
{
    QVector<double> 	dataVector;
    double 		minValue, maxValue;
    uint		sizeRead;
    
public:
    EBTData();
    ~EBTData(){};
    
    void appendValue(const double &value);
    void clear();
    size_t size(){ return dataVector.size(); };
    uint getSizeRead() { return sizeRead; };
    void setSizeRead(uint newsize) { sizeRead = newsize; return; };
    double operator[](size_t elementNum);
    
    QVector<double> data(){ return dataVector; };
    double * dataPnt() { return &(*(dataVector.begin())); };
    
       
    double minVal(){ return minValue; };
    double maxVal(){ return maxValue; };
};

typedef QMap<uint, EBTData> EBTDataMap;

#endif //EBTDATA_H
