#include <float.h>
#include "ebtdataset.h"

EBTDataSet::EBTDataSet()
{
    xcol = 1;
    ycol = 1;
    clear();
    datatype = OUTPUTVALUES;
    curvestyle = QwtPlotCurve::Lines;
    histnumbars = 10;
    populationnr = 0;
    xaxis = QwtPlot::xBottom;
    yaxis = QwtPlot::yLeft;
    legendlabel = QString();
    curveid = new EBTPlotCurve(QString());
    curvesymbol = new QwtSymbol(QwtSymbol::NoSymbol);
    oldsize = 0;
    isnew = TRUE;
}

void EBTDataSet::clear()
{
    xdata.clear();
    ydata.clear();
}

void EBTDataSet::setCurveSymbol(QwtSymbol *value)
{
  curvesymbol->setStyle( value->style() );
  curvesymbol->setSize( value->size() );
  curvesymbol->setBrush( value->brush() );
  curvesymbol->setPen( value->pen() );
}
