#ifndef EBTDEFIDCARD_H
#define EBTDEFIDCARD_H

#include <qlibrary.h>
#include "ebttextfile.h"

class EBTDefIDcard : public EBTFile
{
private:
    QLibrary *libHandle;
    void messageLoadError(QString handle);
    bool libchosen;
    void setLibChosen(bool bl){libchosen = bl;};
    
    typedef int (*functionType1)(double *, double **, double **, double *, int *);
    typedef int (*functionType2)();
    functionType1 defidcardwrapper;
    functionType2 istatedim;
    
public:
    EBTDefIDcard();
    ~EBTDefIDcard();
    void setFileName(const QString& str);
    void libUnload();
    bool checkLib();
    bool libChosen(){return libchosen;};
    bool initHandles();
    bool libLoaded(){return libHandle != NULL;};
    int  defIDcard(double *env, double **pop, double **newIDcard, double *pars, int *cohortNum);
    void cleanDefIDcard();
    uint iStateDim(){return (uint)(*istatedim)();};

    EBTTextFile cFile;
    EBTFile soFile;
};
	
#endif	// EBTDEFIDCARD_H
