#ifndef EBTDEFOUT_H
#define EBTDEFOUT_H

#include <qlibrary.h>
#include "ebttextfile.h"

class EBTDefOut : public EBTFile
{
private:
    QLibrary *libHandle;
    void messageLoadError(QString handle);
    bool libchosen;
    void setLibChosen(bool bl){libchosen = bl;};
    
    typedef int (*functionType1)(double *, double **, double *, double *, int *);
    typedef int(*functionType2)();
    functionType1 defoutwrapper;
    functionType2 istatedim;

public:
    EBTDefOut();
    ~EBTDefOut();
    void setFileName(const QString& str);
    void libUnload();
    bool checkLib();
    bool libChosen(){return libchosen;};
    bool initHandles();
    bool libLoaded(){return (libHandle != NULL);};
    int  defOut(double *env, double **pop, double *output, double *pars, int *cohortNum);
    void cleanDefOut();
    uint iStateDim(){return (uint)(*istatedim)();};
    
    EBTTextFile cFile;
    EBTFile soFile;
};
	
#endif	// EBTDEFOUT_H
