#ifndef EBTGRFILE_H
#define EBTGRFILE_H

#include "ebtxmlfile.h"
#include "ebtgraphsettings.h"

class EBTGraphSettings;

class EBTGrFile : public EBTXMLFile
{
public:
    EBTGrFile();
    virtual ~EBTGrFile();
    void load();
    EBTGraphSettings settings;
    bool isOutputGraph;
    
private:
    void readElement(const QDomElement &el);
    QDomDocument createDomDoc(const QString &docName);
    QDomElement createAxisNode(QDomDocument &doc, const QwtPlot::Axis &a);
    QDomElement createDataSetNode(QDomDocument &doc, const uint &dataSetNr);
    QDomElement createLabelsNode(QDomDocument &doc);
    void readAxisNode(const QDomElement &el);
    void readDataSetNode(const QDomElement &el);
    void readLabelsNode(const QDomElement &el);

    bool attributeFound;
protected:
    void setGraphType(const bool &outputGraph){isOutputGraph = outputGraph;};
};

class EBTOGrFile : public EBTGrFile
{
public:
    EBTOGrFile();
    ~EBTOGrFile();
};

class EBTSGrFile : public EBTGrFile
{
public:
    EBTSGrFile();
    ~EBTSGrFile();
};

#endif // EBTGRFILE_H
