#include "ebtmoviedialog.h"

#include <QLabel>
#include <QGridLayout>

EBTMovieDialog::EBTMovieDialog( QWidget* parent, uint currentDelay)
  : QFileDialog( parent, "save movie", ".", tr("animated GIF file (*.gif)"))
{
  this->setWindowTitle(EBTCAPTION + "save movie");
  this->setOption(QFileDialog::DontUseNativeDialog);
  this->setFileMode(QFileDialog::AnyFile);

  label = new QLabel( "Delay", this );
  lineEdit = new QLineEdit( this );
  lineEdit->setInputMask("00");
  lineEdit->setText(QString("%1").arg(currentDelay));

  this->layout()->addWidget(label);
  this->layout()->addWidget(lineEdit);
}

EBTMovieDialog::~EBTMovieDialog()
{
  delete label;
  delete lineEdit;
}

uint EBTMovieDialog::delay()
{
    uint retVal = lineEdit->text().toUInt();
    if(!retVal)
	retVal++;
    return retVal;
}
