/*
 * ebtplotcurve.h
 *
 *  Created on: Mar 14, 2010
 *      Author: andre
 */

#ifndef EBTPLOTCURVE_H_
#define EBTPLOTCURVE_H_

#include "qwt_plot_curve.h"

/*
 * This is a descendant class from QwtPlotCurve, in which some routines are overloaded
 * so that they create holes in curves where NAN values occur
 */
class EBTPlotCurve : public QwtPlotCurve
 {
public:
  explicit EBTPlotCurve(const QString &title):QwtPlotCurve(title) {}

protected:
  virtual void drawCurve( QPainter *painter, int style,
      const QwtScaleMap &xMap, const QwtScaleMap &yMap,
      const QRectF &canvasRect, int from, int to ) const;

  virtual void drawSymbols(QPainter *p, const QwtSymbol &,
      const QwtScaleMap &xMap, const QwtScaleMap &yMap,
      const QRectF &canvasRect, int from, int to) const;

  void drawLines(QPainter *p,
      const QwtScaleMap &xMap, const QwtScaleMap &yMap,
      const QRectF &canvasRect, int from, int to) const;
 };

#endif /* EBTPLOTCURVE_H_ */
