#ifndef EBTPROJECT_H
#define EBTPROJECT_H

#include <qmap.h>
#include "ebtdefines.h"

class EBTProject
{
private:
    typedef struct 
    {
      fileType type;
      QString name;
      int xpos;
      int ypos;
      int width;
      int height;
    } fileRef;
    
    typedef QMap<uint, fileRef> EBTFileMap;
    EBTFileMap fileMap;
    
    QString name;
    QString description;
    QString savetime;
    QString arguments;
    
public:    
    EBTProject();
    ~EBTProject();
    
    uint addFile(fileType, QString);
    uint addFileRef();
    void clearMap();
    
    QString projectName() { return name; };
    QString projectDescription() { return description; };
    QString saveTime() { return savetime; };
    QString runtimeArguments() { return arguments; };
    
    uint fileMapSize(){ return fileMap.size(); };
    fileType fileRefType(uint fileRefNr) { return fileMap[fileRefNr].type; };
    QString fileRefName(uint fileRefNr) { return fileMap[fileRefNr].name; };
    int fileRefXPos(uint fileRefNr)  { return fileMap[fileRefNr].xpos; };
    int fileRefYPos(uint fileRefNr)  { return fileMap[fileRefNr].ypos; };
    int fileRefWidth(uint fileRefNr)  { return fileMap[fileRefNr].width; };
    int fileRefHeight(uint fileRefNr)  { return fileMap[fileRefNr].height; };

    void setName(QString value) { name = value; };
    void setDescription(QString value) { description = value; };
    void setSaveTime(QString value) { savetime = value; };
    void setArguments(QString value) { arguments = value; };
    
    void setFileRefType(uint fileRefNr, fileType value){ fileMap[fileRefNr].type = value; };
    void setFileRefName(uint fileRefNr, QString value){ fileMap[fileRefNr].name = value; };
    void setFileRefXPos(uint fileRefNr, int value) { fileMap[fileRefNr].xpos = value; };
    void setFileRefYPos(uint fileRefNr, int value) { fileMap[fileRefNr].ypos = value; };
    void setFileRefWidth(uint fileRefNr, int value) { fileMap[fileRefNr].width = value; };
    void setFileRefHeight(uint fileRefNr, int value) { fileMap[fileRefNr].height = value; };
};

#endif	// EBTPROJECT_H
