TEMPLATE      = app
LANGUAGE      = C++

macx {
CONFIG       += debug_and_release
CONFIG       += x86_64
CONFIG       += sdk_no_version_check

QMAKE_CC      = clang
QMAKE_CXX     = clang++
QMAKE_LINK    = clang++

INCLUDEPATH  += /System/Library/Frameworks/CoreFoundation.framework/Versions/A/Headers
LIBS         += -framework ApplicationServices
LIBS         += -ldl
}

win32 {
CONFIG       += release
CONFIG 		 += stl exceptions}

unix:!macx {
CONFIG       += release
LIBS         += -ldl
}

CONFIG       += shared

INCLUDEPATH  += ../Libs/qwt/src
INCLUDEPATH  += ..


CONFIG(debug, debug|release) {
	 TARGET        = EBTtool-debug
	 LIBS         += -L../Libs/qwt/lib -lqwt_debug
	 CONFIG       -= app_bundle
	 DEFINES      += DEBUG=1
	 UI_DIR        = ui_d
	 MOC_DIR       = moc_d
	 OBJECTS_DIR   = obj_d
} else {
	 TARGET        = EBTtool
	 LIBS         += -L../Libs/qwt/lib -lqwt
	 UI_DIR        = ui
	 MOC_DIR       = moc
	 OBJECTS_DIR   = obj
}

# QT += core5compat
QT += printsupport
QT += widgets
QT += xml

HEADERS += ebtfile.h \
	ebtfiledefs.h \
	ebtdefines.h \
	ebtdataset.h \
	ebtgraphsettings.h \
	ebtproject.h \
	ebtcsbfile.h \
	ebtgrfile.h \
	ebtdatafile.h \
	ebtprfile.h \
	ebtrun.h \
	ebttextfile.h \
	ebtxmlfile.h \
	ebtmodel.h \
	ebtdefidcard.h \
	ebtdefout.h \
	ebtdata.h \
	ebtmoviedialog.h \
	ebtgifmovie.h \
	ebtplotcurve.h \
	compileform.h \
	cleardataform.h \
	ebttool.h \
	ebtgraph.h \
	graphsettingsform.h \
	projectform.h \
	searchform.h \
	texteditor.h \
	ComputeThread.h

SOURCES	+= main.cpp \
	ebtgraphsettings.cpp \
	ebtproject.cpp \
	ebtfile.cpp \
	ebttextfile.cpp \
	ebtdatafile.cpp \
	ebtgrfile.cpp \
	ebtxmlfile.cpp \
	ebtprfile.cpp \
	ebtmodel.cpp \
	ebtrun.cpp \
	ebtdataset.cpp \
	ebtcsbfile.cpp \
	ebtdefout.cpp \
	ebtdefidcard.cpp \
	ebtdefines.cpp \
	ebtdata.cpp \
	ebtmoviedialog.cpp \
	ebtgifmovie.cpp \
	ebtplotcurve.cpp \
	compileform.cpp \
	cleardataform.cpp \
	ebttool.cpp \
	ebtgraph.cpp \
	graphsettingsform.cpp \
	projectform.cpp \
	searchform.cpp \
	texteditor.cpp \
	ComputeThread.cpp

FORMS   = compileform.ui \
	cleardataform.ui \
	ebttool.ui \
	ebtgraph.ui \
	graphsettingsform.ui \
	projectform.ui \
	searchform.ui \
	texteditor.ui


# QT4 mechanism for including PNG images

RESOURCES = ebttool.qrc

