#ifndef EBTXMLFILE_H
#define EBTXMLFILE_H

#include <qdom.h>
#include <qstring.h>
#include <qfont.h>
#include <qmap.h>
#include "qwt_plot.h"
#include "qwt_symbol.h"
#include "ebtfile.h"

static bool dummyBool;

class EBTXMLFile : public EBTFile
{
public:
    EBTXMLFile();
    ~EBTXMLFile();
    virtual void readElement(const QDomElement &el) = 0;  //pure virtual function
    virtual QDomDocument createDomDoc(const QString &docName) = 0;
    void load();
    bool save();
    
    void addAttribute(QDomDocument &doc, QDomElement &node, const QString name, const QString &value);
    void addAttribute(QDomDocument &doc, QDomElement &node, const QString name, const QFont &value);
    void addAttribute(QDomDocument &doc, QDomElement &node, const QString name, const int &value);
    void addAttribute(QDomDocument &doc, QDomElement &node, const QString name, const double &value);
    void addAttribute(QDomDocument &doc, QDomElement &node, const QString name, const QPen &value);
    void addAttribute(QDomDocument &doc, QDomElement &node, const QString name, const QwtSymbol *value);
    void addAttribute(QDomDocument &doc, QDomElement &node, const QString name, const QColor &value);
    void addAttribute(QDomDocument &doc, QDomElement &node, const QString name, const bool &value);
    
    bool hasAttribute(const QDomElement &el, const QString &name);
    
    QString readStringAttribute(const QDomElement &el, const QString &name, bool *attributeFound = &dummyBool);
    QFont readFontAttribute(const QDomElement &el, const QString &name, bool *attributeFound = &dummyBool);
    int readIntAttribute(const QDomElement &el, const QString &name, bool *attributeFound = &dummyBool);
    double readDoubleAttribute(const QDomElement &el, const QString &name, bool *attributeFound = &dummyBool);
    QPen readPenAttribute(const QDomElement &el, const QString &name, bool *attributeFound = &dummyBool);
    QwtSymbol * readSymbolAttribute(const QDomElement &el, const QString &name, bool *attributeFound = &dummyBool);
    QColor readColorAttribute(const QDomElement &el, const QString &name, bool *attributeFound = &dummyBool);
    bool readBoolAttribute(const QDomElement &el, const QString &name, bool *attributeFound = &dummyBool);

private:
    QDomDocument domTree;
};

#endif	// EBTXMLFILE_H
