#ifndef GRAPHPRINTFILTER_H
#define GRAPHPRINTFILTER_H

class PrintFilter: public QwtPlotPrintFilter
{
public:
    PrintFilter() {};

    virtual QColor color(const QColor &c, Item item, int) const
    {
        if ( !(options() & PrintCanvasBackground))
        {
            switch(item)
            {
            case MajorGrid:
                return Qt::darkGray;
            case MinorGrid:
                return Qt::gray;
            default:
                ;
            }
        }
        switch(item)
        {
        case Title:
            return Qt::red;
        case AxisScale:
            return Qt::green;
        case AxisTitle:
            return Qt::blue;
        default:
            ;
        }
        return c;
    }

    virtual QFont font(const QFont &f, Item, int) const
    {
        QFont f2 = f;
        f2.setPointSize(int(f.pointSize() * 1.25));
        return f2;
    }
};
#endif  // GRAPHPRINTFILTER_H
