/***
   NAME
     graphsettingsform - header file
   DESCRIPTION
     
   Last modification: AMdR - Jan 30, 2007
***/
#ifndef GRAPHSETTINGSFORM
#define GRAPHSETTINGSFORM
#include <QDialog>

#include "ui_graphsettingsform.h"   // defines Ui::GraphSettingsForm


class GraphSettingsForm : public QDialog, public Ui::GraphSettingsForm
{
    Q_OBJECT

public:
    GraphSettingsForm(QWidget* parent = 0, bool modal = false, Qt::WindowFlags fl = Qt::WindowFlags());
    ~GraphSettingsForm();

    virtual void setCurrentSettings( EBTGraphSettings graphsettings, bool oGraph );

public slots:
    virtual void acceptChanges();
    virtual void applyChanges();
    virtual void clearSettings();
    virtual void showAxisSettings( int ii );
    virtual void showSetSettings( int setNo );
    virtual void newDataSet();
    virtual void removeDataSet();
    virtual void newSymbolColor();
    virtual void newLineColor();
    virtual void setComboSymbolColor( QColor color );
    virtual void setComboLineColor( QColor color );
    virtual void setStyleSame( bool same );
    virtual void applySetChanges( int setNo );
    virtual void newTitleFont();
    virtual void newLegendFont();
    virtual void newAxisTitleFont();
    virtual void applyAxisChanges( int ii );
    virtual void setAxesSame( bool same );
    virtual void applyGeneralChanges();
    virtual void setDescrDefault( bool def );
    virtual void setDescrShow( bool show );
    virtual void setLegendShow( bool show );
    virtual void comboFrameTypeToggled();
    virtual void comboLegendPositionToggled();
    virtual void setAutoscale( bool autoscale );
    virtual void setCurveStyle( int curveStyle );
    virtual void enableGroupSymbol( int selectedStyle );
    virtual void enableGroupLine( int selectedPen );

signals:
    void newSettings(EBTGraphSettings);

protected:
    virtual void closeEvent( QCloseEvent * );

protected slots:
    virtual void languageChange();

private:
    int prevDisplayedAxis;
    int allSetsSameAs;
    int prevDisplayedSet;
    bool outGraph;

    virtual void init();
    virtual void fillComboBoxes();
    virtual void fillSpinBoxes( uint lastSet );

};

#endif /* GRAPHSETTINGSFORM */
