//#include <qapplication.h>
#include <QtCore>
#include <QtGui>
#ifdef DEBUG
#include <QtDebug>
#endif

#include "ebttool.h"
#include "signal.h"

#if (defined(Q_OS_WIN) && defined(_MSC_VER))
typedef void (*sighandler_t)(int);
#endif

EBTtool *ebttool;

int main( int argc, char ** argv ) 
{
    QApplication app(argc, argv);

    QFont defaultFont("Sans", 12);
    app.setFont(defaultFont);

    app.setStyle("plastique");
    // app.setStyle("cleanlooks");

    QCoreApplication::setOrganizationName("AMdRsoftware");
    QCoreApplication::setApplicationName("EBTtool");

    ebttool = new EBTtool;
    signal(SIGFPE, SIG_IGN);

    ebttool->raise();
    ebttool->show();
    
    // QApplication doesn't own the main widget, so it must be deleted explicitly
    int result = app.exec();
    delete ebttool; 
    
    return result;
}
