#include "projectform.h"

#include <qvariant.h>
#include <qimage.h>
#include <qpixmap.h>

/*
 *  Constructs a ProjectForm as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  true to construct a modal dialog.
 */
ProjectForm::ProjectForm(QWidget* parent, bool modal, Qt::WindowFlags fl)
    : QDialog(parent, fl)
{
    setupUi(this);
    setModal(modal);
}


/*
 *  Destroys the object and frees any allocated resources
 */
ProjectForm::~ProjectForm()
{
    // no need to delete child widgets, Qt does it all for us
}


/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void ProjectForm::languageChange()
{
    retranslateUi(this);
}


void ProjectForm::setProject(EBTProject& ep)
{
    project = &ep;
    editName->setText(project->projectName());
    editDescription->setText(project->projectDescription());
}


void ProjectForm::acceptChanges()
{
    project->setName(editName->text());
    project->setDescription(editDescription->toPlainText());			// Qt4
    accept();
}
