#include "searchform.h"

#include <qvariant.h>
#include <qimage.h>
#include <qpixmap.h>

/*
 *  Constructs a SearchDialog as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  true to construct a modal dialog.
 */

SearchDialog::SearchDialog(QWidget* parent, bool modal, Qt::WindowFlags fl)
    : QDialog(parent, fl)
{
    setupUi(this);
    setModal(modal);
}


/*
 *  Destroys the object and frees any allocated resources
 */
SearchDialog::~SearchDialog()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void SearchDialog::languageChange()
{
    retranslateUi(this);
}

void SearchDialog::search()
{
    emit searchString( editSearch->text() );
//    close();
}

void SearchDialog::setSearchString(const QString &sString )
{
    editSearch->setText(sString);
    editSearch->selectAll();
}
