/***
   NAME
     texteditor - header file
   DESCRIPTION
     
   Last modification: AMdR - Jan 30, 2007
***/
#ifndef TEXTEDITOR
#define TEXTEDITOR
#include <QMainWindow>

#include "ui_texteditor.h"   // defines Ui::TextEditor

class TextEditor : public QMainWindow, public Ui::TextEditor
{
    Q_OBJECT

public:
    TextEditor(QWidget* parent = 0, Qt::WindowFlags fl = Qt::Window);
    ~TextEditor();

    virtual bool okToClear();
    virtual void updateView();
    virtual bool parentClose();
    virtual void enableEdit( bool enable );
    virtual bool isViewOnly();
    virtual void init();
    virtual QString fileName();

public slots:
    virtual void fileSave();
    virtual void fileSaveAs();
    virtual void filePrint();
    virtual void closeEvent( QCloseEvent * );
    virtual void fileExit();
    virtual void editFind();
    virtual void searchString( const QString & expr );
    virtual void helpIndex();
    virtual void helpContents();
    virtual void helpAbout();
    virtual void setFile( EBTFile & ef, bool vOnly );
    virtual void textChanged();
    virtual void setViewOnly( bool vOnly );

signals:
    void closing(TextEditor *);

protected slots:
    virtual void languageChange();

private:
    EBTFile* currentFile;
    QClipboard *clipboard;
    bool viewOnly;
    QString sString;

};

#endif /* TEXTEDITOR */
