/***
  The routine below is a template that can be freely adapted. The
  routine can be used to compute output statistics from the EBT state
  files (CSB file) within the EBTTOOL program. Hence, simulating the
  model anew to obtain interesting output quantities is not necessary
  any more if the state of all populations has been frequently stored
  in the CSB file. The routine can be changed, compiled, and dynamically
  linked into the EBTTOOL program.
  The routine DefineOutput() is structured along EXACTLY the same lines as
  the corresponding routine in the EBT program, hence use the identical
  syntax.
  In addition, only the values of I_STATE_DIM and OUTPUT_VAR_NR have to be
  defined prior to the routine DefineOutput().  
  Compilation and linking is completed controlled from within the EBTTOOL
  program.
***/

#define I_STATE_DIM	  2
#define OUTPUT_VAR_NR	  3


void	DefineOutput(double *env, population *pop, double *output)
  
  /*
   * The function header above should not be changed.
   *
   * Define below the values of the output variables in terms of the
   * population and environment statistics. These values have to be
   * returned to the main program in the array "output[]".
   * The integer array "cohort_no[]" is globally available and denotes the
   * number of internal cohorts present in each structured population.
   */

{
  register int		i;

  for(i=0; i<cohort_no[0]; i++)
    {
      output[0] += pop[0][i][number];
      output[1] += pow(pop[0][i][i_state(1)], 3.0)*pop[0][i][number];
    }
  
  return;
}



/*==========================================================================*/
